%define upstream_name    Unicode-String
%define upstream_version 2.09

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17

Summary:	Unicode-String module for perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:		perl-Unicode-String-2.09-undefined.patch
Patch1:		perl-Unicode-String-2.09-utf8doc.patch

BuildRequires:	perl-devel >= 5.8.0

%{?perl_default_filter}

%description
These are experimental modules to handle various Unicode issues.  They
were made before perl included native UTF8 support.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%check
make test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorarch}/auto/Unicode/String
%{perl_vendorarch}/Unicode/*.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.90.0-17.mga6
+ Revision: 1035477
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.90.0-16.mga6
+ Revision: 958188
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.90.0-15.mga6
+ Revision: 845454
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.90.0-14.mga6
+ Revision: 841345
- Fix build with perl 5.22 + carefully convert documentation to UTF-8 encoding (patches from Fedora)

* Wed Oct 15 2014 umeabot <umeabot> 2.90.0-13.mga5
+ Revision: 747142
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.90.0-12.mga5
+ Revision: 732589
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.90.0-11.mga5
+ Revision: 686796
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.90.0-10.mga5
+ Revision: 631841
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 2.90.0-9.mga4
+ Revision: 525079
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.90.0-8.mga4
+ Revision: 431828
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.90.0-7.mga3
+ Revision: 374618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.90.0-6.mga3
+ Revision: 251289
- rebuild for perl 5.16

* Sat Apr 21 2012 tv <tv> 2.90.0-5.mga2
+ Revision: 232245
- no need to require perl

* Sun Jun 12 2011 sander85 <sander85> 2.90.0-4.mga2
+ Revision: 105097
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 2.90.0-3.mga1
+ Revision: 23965
- cleaning spec file
- imported package perl-Unicode-String


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.90.0-3mdv2011.0
+ Revision: 564591
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.90.0-2mdv2011.0
+ Revision: 555208
- rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.90.0-1mdv2010.1
+ Revision: 401993
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.09-5mdv2009.0
+ Revision: 224595
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.09-4mdv2008.1
+ Revision: 151347
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 2.09-3mdv2008.0
+ Revision: 67541
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.09-2mdv2008.0
+ Revision: 23250
- rebuild


* Fri Oct 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.09-1mdk
- 2.09

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.07-4mdk
- rebuild for new perl

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.07-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.07-1mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 2.07-1mdk
- 2.07.

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.06-5mdk
- rebuild

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.06-4mdk
- Rebuilt

* Tue Aug 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.06-3mdk
- rebuild for multi-thread perl

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 2.06-2mdk
- rebuild for perl 5.8.0

* Fri Mar 08 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.06-1mdk
- First MandrakeSoft Package

